Imports DigitalData.Modules.Filesystem

<Serializable>
Public Class ContainerResult
    Public ReadOnly OK As Boolean
    Public ReadOnly ErrorMessage As String
    Public Container As FileContainerInner

    Public Sub New()
        OK = True
        ErrorMessage = Nothing
    End Sub

    Public Sub New(ErrorMessage As String)
        OK = False
        Me.ErrorMessage = ErrorMessage
    End Sub
End Class
